JUCE: streams

JUCE

Classes | Functions
streams
juce_core

## Classes
class | AndroidDocumentInputSource
| An InputSource backed by an AndroidDocument. More...
class | BufferedInputStream
| Wraps another input stream, and reads from it using an intermediate buffer. More...
class | FileInputSource
| A type of InputSource that represents a normal file. More...
class | InputSource
| A lightweight object that can create a stream to read some kind of resource. More...
class | InputStream
| The base class for streams that read data. More...
class | MemoryInputStream
| Allows a block of data to be accessed as a stream. More...
class | MemoryOutputStream
| Writes data to an internal memory buffer, which grows as required. More...
class | OutputStream
| The base class for streams that write data to some kind of destination. More...
class | SubregionStream
| Wraps another input stream, and reads from a specific part of it. More...
class | URLInputSource
| A type of InputSource that represents a URL. More...

## Functions
OutputStream &JUCE_CALLTYPE | operator<< (OutputStream &stream, const MemoryOutputStream &streamToRead)
| Copies all the data that has been written to a MemoryOutputStream into another stream. More...
JUCE_API OutputStream &JUCE_CALLTYPE | operator<< (OutputStream &stream, int number)
| Writes a number to a stream as 8-bit characters in the default system encoding. More...
JUCE_API OutputStream &JUCE_CALLTYPE | operator<< (OutputStream &stream, int64 number)
| Writes a number to a stream as 8-bit characters in the default system encoding. More...
JUCE_API OutputStream &JUCE_CALLTYPE | operator<< (OutputStream &stream, double number)
| Writes a number to a stream as 8-bit characters in the default system encoding. More...
JUCE_API OutputStream &JUCE_CALLTYPE | operator<< (OutputStream &stream, char character)
| Writes a character to a stream. More...
JUCE_API OutputStream &JUCE_CALLTYPE | operator<< (OutputStream &stream, const char *text)
| Writes a null-terminated text string to a stream. More...
JUCE_API OutputStream &JUCE_CALLTYPE | operator<< (OutputStream &stream, const MemoryBlock &data)
| Writes a block of data from a MemoryBlock to a stream. More...
JUCE_API OutputStream &JUCE_CALLTYPE | operator<< (OutputStream &stream, const File &fileToRead)
| Writes the contents of a file to a stream. More...
JUCE_API OutputStream &JUCE_CALLTYPE | operator<< (OutputStream &stream, InputStream &streamToRead)
| Writes the complete contents of an input stream to an output stream. More...
JUCE_API OutputStream &JUCE_CALLTYPE | operator<< (OutputStream &stream, const NewLine &)
| Writes a new-line to a stream. More...

## Detailed Description

## Function Documentation

## ◆ operator<<() [1/10]

OutputStream &JUCE_CALLTYPE operator<< | ( | OutputStream & | stream,
|  | const MemoryOutputStream & | streamToRead
| ) |  |

Copies all the data that has been written to a MemoryOutputStream into another stream.

## ◆ operator<<() [2/10]

JUCE_API OutputStream &JUCE_CALLTYPE operator<< | ( | OutputStream & | stream,
|  | int | number
| ) |  |

Writes a number to a stream as 8-bit characters in the default system encoding.

## ◆ operator<<() [3/10]

JUCE_API OutputStream &JUCE_CALLTYPE operator<< | ( | OutputStream & | stream,
|  | int64 | number
| ) |  |

Writes a number to a stream as 8-bit characters in the default system encoding.

## ◆ operator<<() [4/10]

JUCE_API OutputStream &JUCE_CALLTYPE operator<< | ( | OutputStream & | stream,
|  | double | number
| ) |  |

Writes a number to a stream as 8-bit characters in the default system encoding.

## ◆ operator<<() [5/10]

JUCE_API OutputStream &JUCE_CALLTYPE operator<< | ( | OutputStream & | stream,
|  | char | character
| ) |  |

Writes a character to a stream.

## ◆ operator<<() [6/10]

JUCE_API OutputStream &JUCE_CALLTYPE operator<< | ( | OutputStream & | stream,
|  | const char * | text
| ) |  |

Writes a null-terminated text string to a stream.

## ◆ operator<<() [7/10]

JUCE_API OutputStream &JUCE_CALLTYPE operator<< | ( | OutputStream & | stream,
|  | const MemoryBlock & | data
| ) |  |

Writes a block of data from a MemoryBlock to a stream.

## ◆ operator<<() [8/10]

JUCE_API OutputStream &JUCE_CALLTYPE operator<< | ( | OutputStream & | stream,
|  | const File & | fileToRead
| ) |  |

Writes the contents of a file to a stream.

## ◆ operator<<() [9/10]

JUCE_API OutputStream &JUCE_CALLTYPE operator<< | ( | OutputStream & | stream,
|  | InputStream & | streamToRead
| ) |  |

Writes the complete contents of an input stream to an output stream.

## ◆ operator<<() [10/10]

JUCE_API OutputStream &JUCE_CALLTYPE operator<< | ( | OutputStream & | stream,
|  | const NewLine & |
| ) |  |

Writes a new-line to a stream.

You can use the predefined symbol 'newLine' to invoke this, e.g.

myOutputStream << "Hello World" << newLine << newLine;
newLine
NewLine newLine
A predefined object representing a new-line, which can be written to a string or stream.

See also
  OutputStream::setNewLineString